import React from "react";
import { GoogleLogout } from "react-google-login";
import keys from "../../config/keys_dev";

const clientId = keys.clientId;

const Logout = () => {
  
  const responseGoogle = (response) => {
    console.log(response);
  };

  return (
    <div>
      <GoogleLogout 
        clientId={clientId}
        buttonText="Logout"
        onLogoutSuccess={responseGoogle}
        isSignedIn={true}
      />
    </div>
  );
};

export default Logout;
