import React from 'react';
import OrderButtons from './OrderButtons';

const OrderIndexItem = ({ order }) => {

  const { 
    id,
    orderId, 
    status, 
    orderItems, 
    createdAt, 
    modifiedAt
  } = order;

  const actions = ( status === "RECEIVED" ? 
    <OrderButtons order={order} />
  : 
  <div>{status}</div>)

  return (
    <div>
      <div>{`Order #: ${orderId}`}</div>
      {actions}
      
    </div>
  )
};

export default OrderIndexItem;
