import React from 'react';
import { GoogleLogin } from "react-google-login";
import keys from '../../config/keys_dev'

const clientId = keys.clientId;

const Login = () => {

  const responseGoogle = (response) => {
    console.log(response);
  };
  
  return (
    <div>
      <GoogleLogin
        clientId={clientId}
        buttonText="Login with Google"
        onSuccess={responseGoogle}
        onFailure={responseGoogle}
        cookiePolicy={"single_host_origin"}
        // isSignedIn={true}
      />
    </div>
  );
}

export default Login;